/* TCB_PWM 8-bit PWM Mode
  Copyright (C) 2020  Thomas Almy

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

  Contact the author at tom@almy.us */

#include <Pins.h>
void setup() {
  TCB0.CTRLA = 0; // Turn off channel for configuring
  TCB0.CTRLB = 0x17; // output enabled, PWM mode
  TCB0.CCMPL = 0xff; // Maximum value will give 16us period
  TCB0.CCMPH = 128; // 50% duty cycle
  TCB0.CTRLA = 1; // Enable and use system clock
}

void loop() {

}
