/* TCB Single-Shot Mode
    Copyright (C) 2020  Thomas Almy

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

  Contact the author at tom@almy.us */

* /
#include <Pins.h>
void setup() {
  tone(3, 1000); // 1kHz tone on pin 3
  EVSYS.CHANNEL4 = EVSYS_GENERATOR_PORT1_PIN5_gc; // Route pin 3, PF5
  EVSYS.USERTCB0 = EVSYS_CHANNEL_CHANNEL4_gc; // to TCB0
  TCB0.CTRLA = 0; // Turn off channel for configuring
  TCB0.CTRLB = 0x16; // Enable output, single shot mode
  TCB0.EVCTRL = 0x41; // Enable input capture, rising edge of signal
  TCB0.CNT = 15; // Prevents false first pulse
  TCB0.CCMP = 15; // 16 clock (1us) pulse
  TCB0.CTRLA = 1; // Enable and use system clock
}

void loop() {
  // put your main code here, to run repeatedly:

}
